Subject: Re: bug#6952: jit-lock with default, small chunk-size causing incorrect fontification in cc-mode
From: Stefan Kangas <[email-masked]>
To: Noam Postavsky <[email-masked]>
Cc: [email-masked], Daniel Colascione <[email-masked]>
Date: Thu, 26 Sep 2019 13:11:39 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Noam Postavsky <[email-masked]> writes:

> tags 6952 + unreproducible
> quit
>
> Daniel Colascione <[email-masked]> writes:
>
>> I've attached a file that demonstrates incorrect fontification with
>> cc-mode and jit-lock used together -- the last function in the file is
>> not fontified as a function when a file is first visited with
>> jit-lock-chunk-size equal to its default 512.
>
> I can't reproduce this, neither by setting jit-lock-chunk-size to 512,
> nor with the default of 500.  The fontification of that file looks fine.
> Tested from 24.3 to current master (27.0.50).

I can't reproduce this either, so I'm closing this bug report.  If anyone
is still seeing this on a modern Emacs, please re-open.

Best regards,
Stefan Kangas